--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
on new (me)
  me._class = #FontMetrics
  -- implement interface
  me.ancestor = $.include($.Qt.libDir&"/classes/iObject.ls").new()
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"/classes/iObject.ls").new()
	obj._class = #FontMetrics
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- width (string) -> int
on width (me,p1)
  return $.Qt._qx.callObject(me._id,#width,p1)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

