--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID)
on new (me,p1)
  me._class = #StatusBar
  me.ancestor = $.include($.Qt.libDir&"/classes/iWidget.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newWidget(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"/classes/iWidget.ls").new()
	obj._class = #StatusBar
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- addPermanentWidget (int WidgetID, *int stretch)
on addPermanentWidget (me,p1,p2)
	if ilk(p1)=#instance then p1 = p1._id
  $.Qt._qx.callWidget(me._id,#addPermanentWidget,p1,p2)
end

-- setSizeGripEnabled (bool)
on setSizeGripEnabled (me,p1)
  $.Qt._qx.callWidget(me._id,#setSizeGripEnabled,p1)
end

-- showMessage (string,*int)
on showMessage (me,p1,p2)
  $.Qt._qx.callWidget(me._id,#showMessage,p1,p2)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

-- messageChanged -> string
on messageChanged(me,id,p1)
  me._detach(#messageChanged,id,p1)
end

